HomeProduct DocsAPI ReferenceChangelog
RecurlyAPI GuidesRecurly.jsWebhooksAPI ReferenceSupportBook demo
API Reference

Refund/Void Line Items

Apply a refund to one or more individual line items on an invoice. A line item can be refunded by a quantity amount, a specific dollar/cent amount, or a percentage amount and will only apply to the specific line item you are aiming to refund.

  • Note: You must have the Credit Memos feature flag enabled on your site to utilize specific dollar/cent amount and percentage amount refunds on line items.

An invoice with a processed line item refund cannot accept
refunds of an open amount.

This endpoint will not void an ACH bank account transaction. ACH
voids are only allowed through the UI.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Invoice number

Body Params
string
required

Adjustment's unique identifier.

integer

Quantity to refund. Must be less than or equal to the quantity_remaining. If quantity_decimal, amount_in_cents, and percentage are not present, quantity is required. If amount_in_cents, or percentage is present, quantity must be absent.

string

Decimal quantity to refund. The quantity_decimal will be used to refund charges that has a NOT null quantity decimal. Must be less than or equal to the quantity_decimal_remaining. If quantity, amount_in_cents, and percentage are not present, quantity_decimal is required. If amount_in_cents or percentage is present, quantity_decimal must be absent. The Decimal Quantity feature must be enabled to utilize this field.

integer

The specific amount to be refunded from the adjustment. Must be less than or equal to the adjustment's remaining balance. If quantity, quantity_decimal, and percentage are not present, amount_in_cents is required. If quantity, quantity_decimal, or percentage is present, amount_in_cents must be absent.

integer
1 to 100

The percentage of the adjustment's remaining balance to refund. If quantity, quantity_decimal, and amount_in_cents are not present, percentage is required. If quantity, quantity_decimal, or amount_in_cents is present, percentage must be absent.

boolean

Toggle to prorate the line item to refund. Set as true or false. Only applicable to subscription line items still in the current billing cycle. Proration is not allowed on invoices with an associated transaction that has not settled, due to the full amount needed in order to void the transaction.

string
Defaults to credit_first

If credit line items exist on the invoice, this parameter specifies which refund method to use first. Most relevant in a partial refunds, you can chose to refund credit back to the account first or a transaction giving money back to the customer first. If not specified, the default is credit back to the account. Set as credit_first, transaction_first, all_transaction, or all_credit.

boolean

Designates that the refund transactions created are manual.

string

Adds notes to refund credit invoice.

string

Creates the manual transactions with this payment method. Allowed if external_refund is true.

string

Sets this value as the transaction_note on the manual transactions created. Allowed if external_refund is true.

string

Sets this value as the collected_at on the manual transactions created. Allowed if external_refund is true.

Response

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/xml